# Image API v1

For details on how to use image, see Using OpenStack Image

## The Image v1 Class

The image high-level interface is available through the `image` member of a `Connection` object. The `image` member will only be added if the service is detected.

class openstack.image.v1._proxy.Proxy(session, *, service_type=None, service_name=None, interface=None, region_name=None, endpoint_override=None, version=None, auth=None, user_agent=None, connect_retries=None, logger=None, allow=None, additional_headers=None, client_name=None, client_version=None, allow_version_hack=None, global_request_id=None, min_version=None, max_version=None, default_microversion=None, status_code_retries=None, retriable_status_codes=None, raise_exc=None, rate_limit=None, concurrency=None, connect_retry_delay=None, status_code_retry_delay=None, statsd_client=None, statsd_prefix=None, prometheus_counter=None, prometheus_histogram=None, influxdb_config=None, influxdb_client=None)
  upload_image(**attrs)

    Upload a new image from attributes

    Parameters:

      attrs (dict) – Keyword arguments which will be used to create a `Image`, comprised of the properties on the Image class.

    Returns:

      The results of image creation

    Return type:

      `Image`

  delete_image(image, ignore_missing=True)

    Delete an image

    Parameters:

      - image – The value can be either the ID of an image or a `Image` instance.

      - ignore_missing (bool) – When set to `False` `NotFoundException` will be raised when the image does not exist. When set to `True`, no exception will be set when attempting to delete a nonexistent image.

    Returns:

      `None`

  find_image(name_or_id, ignore_missing=True)

    Find a single image

    Parameters:

      - name_or_id – The name or ID of a image.

      - ignore_missing (bool) – When set to `False` `NotFoundException` will be raised when the resource does not exist. When set to `True`, None will be returned when attempting to find a nonexistent resource.

    Returns:

      One `Image` or None

  get_image(image)

    Get a single image

    Parameters:

      image – The value can be the ID of an image or a `Image` instance.

    Returns:

      One `Image`

    Raises:

      `NotFoundException` when no resource can be found.

  images(**query)

    Return a generator of images

    Parameters:

      query (kwargs) – Optional query parameters to be sent to limit the resources being returned.

    Returns:

      A generator of image objects

    Return type:

      `Image`

  update_image(image, **attrs)

    Update a image

    Parameters:

      - image – Either the ID of a image or a `Image` instance.

      - attrs – The attributes to update on the image represented by `image`.

    Returns:

      The updated image

    Return type:

      `Image`

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.